> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversation

> Get a conversation for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/conversations/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/conversations/{id}:
    get:
      tags:
        - Conversations
      summary: Get conversation
      description: Get a conversation for the given id
      operationId: getConversation
      parameters:
        - name: id
          in: path
          description: The id of the conversation
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseConversationGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    ResponseConversationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/ConversationGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ConversationGetDto:
      required:
        - attachedEntityId
        - author
        - company
        - createdDateTime
        - id
        - lastUpdatedDateTime
        - latestMessage
        - readStatus
        - resolutionStatus
        - status
        - subject
      type: object
      properties:
        id:
          type: string
          description: >-
            Id of the conversation, required when updating an existing
            conversation
          example: con_12345
        attachedEntityId:
          type: string
          description: Id of the entity associated with this conversation
          nullable: true
        company:
          $ref: '#/components/schemas/CompanyExpanded'
        subject:
          type: string
          description: Subject of the conversation
          example: Transaction review needed
        author:
          $ref: '#/components/schemas/AuthorInfo'
        latestMessage:
          $ref: '#/components/schemas/LatestMessageDto'
        status:
          type: string
          description: Status of the conversation
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        readStatus:
          type: string
          description: Read status of the conversation for the authenticated user
          example: UNREAD
          enum:
            - READ
            - UNREAD
        resolutionStatus:
          type: string
          description: Resolution status of the conversation
          example: OPEN
          enum:
            - OPEN
            - CLOSED
            - DRAFT
        createdDateTime:
          type: string
          description: Timestamp of when the conversation was created
          format: date-time
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the conversation was last updated
          format: date-time
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    CompanyExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the company
          example: co_123456
        name:
          type: string
          description: Name of the company
          example: ACME Corp
      description: >-
        Company associated with this agent context. Only present for accountant
        and partner sessions.
      nullable: true
    AuthorInfo:
      required:
        - email
        - userId
      type: object
      properties:
        userId:
          type: string
          description: Id of the author
        email:
          type: string
          description: Email of the author
          nullable: true
          example: user@example.com
      description: List of authors who used this reaction
    LatestMessageDto:
      required:
        - author
        - id
        - text
      type: object
      properties:
        id:
          type: string
          description: Id of the latest message
          example: msg_67890
        author:
          $ref: '#/components/schemas/AuthorInfo'
        text:
          type: string
          description: Contents of the latest message
      description: The latest message associated with this conversation
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````